# Google Workspace Reseller API

Perform common functions that are available on the Channel Services console at scale, like placing orders and viewing customer information

- [REST Resource: v1.customers](https://developers.google.com/workspace/admin/reseller/reference/rest#v1.customers)
- [REST Resource: v1.resellernotify](https://developers.google.com/workspace/admin/reseller/reference/rest#v1.resellernotify)
- [REST Resource: v1.subscriptions](https://developers.google.com/workspace/admin/reseller/reference/rest#v1.subscriptions)

## Service: reseller.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://reseller.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://reseller.googleapis.com`

## REST Resource: [v1.customers](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/get` | `GET /apps/reseller/v1/customers/{customerId}` Gets a customer account. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/insert` | `POST /apps/reseller/v1/customers` Orders a new customer's account. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/patch` | `PATCH /apps/reseller/v1/customers/{customerId}` Updates a customer account's settings. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/update` | `PUT /apps/reseller/v1/customers/{customerId}` Updates a customer account's settings. |

## REST Resource: [v1.resellernotify](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/getwatchdetails` | `GET /apps/reseller/v1/resellernotify/getwatchdetails` Returns all the details of the watch corresponding to the reseller. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/register` | `POST /apps/reseller/v1/resellernotify/register` Registers a Reseller for receiving notifications. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/unregister` | `POST /apps/reseller/v1/resellernotify/unregister` Unregisters a Reseller for receiving notifications. |

## REST Resource: [v1.subscriptions](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/activate` | `POST /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/activate` Activates a subscription previously suspended by the reseller. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/changePlan` | `POST /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changePlan` Updates a subscription plan. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/changeRenewalSettings` | `POST /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings` Updates a user license's renewal settings. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/changeSeats` | `POST /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats` Updates a subscription's user license settings. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/delete` | `DELETE /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}` Cancels, suspends, or transfers a subscription to direct. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/get` | `GET /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}` Gets a specific subscription. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert` | `POST /apps/reseller/v1/customers/{customerId}/subscriptions` Creates or transfer a subscription. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/list` | `GET /apps/reseller/v1/subscriptions` Lists of subscriptions managed by the reseller. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/startPaidService` | `POST /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/startPaidService` Immediately move a 30-day free trial subscription to a paid service subscription. |
| `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/suspend` | `POST /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/suspend` Suspends an active subscription. |